#region Header

/*
 * Copyright (c) eHealth
 */

#endregion Header

/**
* ETK Service Integration Tests This test shows the use of the Key Depot Service through the use of the Technical Connector
*/
namespace be.ehealth.technicalconnector.service.sts
{

    using be.ehealth.technicalconnector.config;
    using be.ehealth.technicalconnector.service.sts.impl;
    using be.ehealth.technicalconnector.service.sts.security;


    class STSServiceWsTrustSAML11ImplUserIntegrationTest : STSServiceBaseTest
    {
   
        /**
         * Constructor that uses the correct Service
         */
        public STSServiceWsTrustSAML11ImplUserIntegrationTest() {
            setService(new STSServiceWsTrustSAML11Impl());
            ConfigFactory.getConfigValidator()
                         .setProperty("endpoint.sts", "https://services-acpt.ehealth.fgov.be/IAM/SecurityTokenService/v1");
        }

        protected override string getHolderOfKeyMethod() {
            return SAML11Token.HOK_METHOD;
        }

        protected override string getSenderVouchesMethod() {
            return SAML11Token.SV_METHOD;
        }
    }
}